•   
  • 1
  • 171
  • 172
  • 173(current)
  • 174
  • 175
  • 315
  •   
  Thread Closed
Release [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
I'm on Eden and just installed this for the first time. Is the login error only affecting those on Frodo? I can't log in (surprise surprise) but I'm wondering if there is a fix for Eden? Thanks.
Apparently you can download a beta version from the source repository that doesn't have a login problem.

I'm not sure if that means you use the repository from within xbmc, or if from a repository on a website.

I can't find the beta version in either of these two places:

http://code.google.com/p/youtubexbmc/

http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc/summary

maybe someone could tell us where the beta version is so that people with login problems can try it out and see if it helps?

It is in http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc if you know how to read it.
It is not trivial since it has dependencies. You should probably wait for a supported version.
(2012-12-17, 14:49)vikjon0 Wrote: It is in http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc if you know how to read it.
It is not trivial since it has dependencies. You should probably wait for a supported version.

How can i get this to work on XBMC buntu 11.9?

I can download a .zip file, and get it to my HTPC but if i try to install it i get error:

I download the files by clicking the ZIP link on the site mentioned in post before me
Add-on does not have correct Structure, so i'm guessing i am downloading the wrong files.
does anybody know when the new version without login problems is gonna se daylight? =)
I'd appreciate some idea of when the new version might be available as well. 2 days? 2 months? somewhere in between?
(2012-12-17, 17:55)Dennisreneholm Wrote: I can download a .zip file, and get it to my HTPC but if i try to install it i get error:

I download the files by clicking the ZIP link on the site mentioned in post before me
Add-on does not have correct Structure, so i'm guessing i am downloading the wrong files.

Here is how to get that zip to work,
WARNING: this is beta not a public release so if it causes your tv and/or pc to catch on fire or you get an alien anal probe you have been warned!
unzip file
rename the folder plugin to plugin.video.youtube
open up the file addon.xml with your favorite text editor
change:
Code:
<import addon='xbmc.python' version='2.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache.beta' version='1.3.0'/>
    <import addon='script.module.parsedom.beta' version='1.3.0'/>
    <import addon='script.module.simple.downloader.beta' version='0.9.3'/>
to:
Code:
<import addon='xbmc.python' version='2.0.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache' version='1.3.0'/>
    <import addon='script.module.parsedom' version='1.3.0'/>
    <import addon='script.module.simple.downloader' version='0.9.3'/>
save file
zip up the plugin.video.youtube (remember plugin.video.youtube should be in the zip file, not just the contents of plugin.video.youtube)
you can now do a zip install
also keep in mind that everything in this is marked beta so it will not use your old settings and when a public release does come out it will use your old settings not the beta settings.

Getting login failed false error. Worked great on eden but uninstalled xbmc and switched to frodo RC1 on windows 7 and it no longer works.

Tried the method above me but I get an error when trying to install the zip. Add-on does not have the correct structure
When I used WinRar I got that error message but then I used 7zip and it worked, I forgot to mention that. I don't know why xbmc doesn't like zips created by WinRar, but 7zip works.
(2012-12-17, 23:12)lordashram Wrote:
(2012-12-17, 17:55)Dennisreneholm Wrote: I can download a .zip file, and get it to my HTPC but if i try to install it i get error:

I download the files by clicking the ZIP link on the site mentioned in post before me
Add-on does not have correct Structure, so i'm guessing i am downloading the wrong files.

Here is how to get that zip to work,
WARNING: this is beta not a public release so if it causes your tv and/or pc to catch on fire or you get an alien anal probe you have been warned!
unzip file
rename the folder plugin to plugin.video.youtube
open up the file addon.xml with your favorite text editor
change:
Code:
<import addon='xbmc.python' version='2.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache.beta' version='1.3.0'/>
    <import addon='script.module.parsedom.beta' version='1.3.0'/>
    <import addon='script.module.simple.downloader.beta' version='0.9.3'/>
to:
Code:
<import addon='xbmc.python' version='2.0.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache' version='1.3.0'/>
    <import addon='script.module.parsedom' version='1.3.0'/>
    <import addon='script.module.simple.downloader' version='0.9.3'/>
save file
zip up the plugin.video.youtube (remember plugin.video.youtube should be in the zip file, not just the contents of plugin.video.youtube)
you can now do a zip install
also keep in mind that everything in this is marked beta so it will not use your old settings and when a public release does come out it will use your old settings not the beta settings.

thanks, but i got it working.

I downloaded the files, and only copied the login.py file to the current youtube installation.
Works for now, but i know it's not the greatest way to do it Tongue

(2012-12-18, 10:59)Dennisreneholm Wrote: thanks, but i got it working.

I downloaded the files, and only copied the login.py file to the current youtube installation.
Works for now, but i know it's not the greatest way to do it Tongue

Thanks, I did the same and it works Smile
Unfortunately does not work.
I replaced the YouTubeLogin.py from here
(http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc)
in my directory


Where is the failure?
(2012-12-17, 23:12)lordashram Wrote:
(2012-12-17, 17:55)Dennisreneholm Wrote: I can download a .zip file, and get it to my HTPC but if i try to install it i get error:

I download the files by clicking the ZIP link on the site mentioned in post before me
Add-on does not have correct Structure, so i'm guessing i am downloading the wrong files.

Here is how to get that zip to work,
WARNING: this is beta not a public release so if it causes your tv and/or pc to catch on fire or you get an alien anal probe you have been warned!
unzip file
rename the folder plugin to plugin.video.youtube
open up the file addon.xml with your favorite text editor
change:
Code:
<import addon='xbmc.python' version='2.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache.beta' version='1.3.0'/>
    <import addon='script.module.parsedom.beta' version='1.3.0'/>
    <import addon='script.module.simple.downloader.beta' version='0.9.3'/>
to:
Code:
<import addon='xbmc.python' version='2.0.0'/>
    <import addon='script.module.simplejson' version='2.0.10'/>
    <import addon='script.common.plugin.cache' version='1.3.0'/>
    <import addon='script.module.parsedom' version='1.3.0'/>
    <import addon='script.module.simple.downloader' version='0.9.3'/>
save file
zip up the plugin.video.youtube (remember plugin.video.youtube should be in the zip file, not just the contents of plugin.video.youtube)
you can now do a zip install
also keep in mind that everything in this is marked beta so it will not use your old settings and when a public release does come out it will use your old settings not the beta settings.

I tried following your instructions (They are simple enough).

I got the addon installed, but now "My Subscriptions" gives me error: "Script failed!: plugin.video.youtube".

The youtube plugin is by far my most used feature in xbmc. So any help would be gladly appreciated.

Thanks Smile
Also having the cant log in problem with Frodo. Seems to work ok on eden though
(2012-12-10, 21:49)gott_sei_dank Wrote:
(2012-12-10, 08:07)doctormo Wrote: Looks like the XBMC Youtube firefox plugin no longer works. Also there is no repository with the code that was used to create it, so updating it is impossible. Might make a new one though.

Does anyone else use the plugin?

http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc/summary

You'll find the source there, I've stopped using the plugin since I use Yatse and the send to XBMC option on my Android device, it seems a few might be interested though and it's always nice to help the devs if you have got the skills.

I have the Firefox addon working (for me at least). Get it here

http://dl.dropbox.com/u/53723585/Youtube-firefox.xpi

ras

  •   
  • 1
  • 171
  • 172
  • 173(current)
  • 174
  • 175
  • 315
  •   
  Thread Closed
 
Thread Rating:
  • 28 Vote(s) - 4.14 Average



Logout Mark Read Team Forum Stats Members Help
[depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only4.1428